/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */
export interface paths {
    readonly "/login/token/{jwt_token}": {
        /**
         * The customer login access point URL.
         *
         * [Learn more about the Customer Login API](https://developer.bigcommerce.com/api-docs/customers/customer-login-api).
         *
         * ## Example
         *
         * ```
         * https://storedomain.com/login/token/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ7Y2xpZW50X2lkfSIsImlhdCI6MTUzNTM5MzExMywianRpIjoie3V1aWR9Iiwib3BlcmF0aW9uIjoiY3VzdG9tZXJfbG9naW4iLCJzdG9yZV9oYXNoIjoie3N0b3JlX2hhc2h9IiwiY3VzdG9tZXJfaWQiOjJ9.J-fAtbjRFGdLsT744DhoprFEDqIfVq72HbDzrbFy6Is
         * ```
         */
        readonly get: {
            readonly parameters: {
                readonly path: {
                    readonly jwt_token: string;
                };
            };
            readonly responses: {};
        };
        readonly parameters: {
            readonly path: {
                readonly jwt_token: string;
            };
        };
    };
}
export interface definitions {
    readonly customerLoginSSO: {
        /** Indicates the token’s issuer. This is your application’s client ID, which is obtained during application registration in Developer Portal. */
        readonly iss?: string;
        /** Time when the token was generated. This is a numeric value indicating the number of seconds since the [Unix epoch](https://en.wikipedia.org/wiki/Unix_time). */
        readonly iat?: number;
        /** Request ID string that must be unique across all requests made by your app. A UUID or other random string would be an appropriate value. Most libraries contain a method for generating a uuid. For testing a [UUID generator](https://www.uuidgenerator.net/) can be used, but it recommended to use built in libraries. */
        readonly jti?: string;
        /** Must contain the string “customer_login”. */
        readonly operation?: string;
        /** Store hash identifying the store you are logging into. */
        readonly store_hash?: string;
        /** ID of the customer you are logging in, as obtained through the Customer API. */
        readonly customer_id?: number;
        /** Optional field containing a relative path for the shopper’s destination after login. Will default to `/account.php`. */
        readonly redirect_to?: string;
        /** **(Optional)** Field containing the expected IP address for the request. If provided, BigCommerce will check that it matches the browser trying to log in. If there is not a match, it will be rejected. */
        readonly request_ip?: string;
    };
}
export interface operations {
}
