/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */
export interface paths {
    readonly "/pricing/products": {
        /** Calculate batch pricing for products for a specific channel, currency, and customer group. */
        readonly post: operations["get-prices"];
    };
}
export interface definitions {
    readonly BulkPricingTier: {
        /** The minumum quantity required to trigger this bulk pricing discount */
        readonly minimum?: number;
        /** The maximum quantity (or 0 for unlimited) to trigger this bulk pricing discount */
        readonly maximum?: number;
        readonly discount_amount?: number;
        readonly discount_type?: "price" | "percent" | "fixed";
    };
    readonly PricingResponse: {
        readonly data?: readonly {
            /** The product ID this price was generated for */
            readonly product_id?: number;
            /** The (optional) variant ID this price was generated for */
            readonly variant_id?: number;
            /** The optional product option configuration this price was generated for */
            readonly options?: readonly {
                /** The ID of the variant option or modifier option configured for this price */
                readonly option_id?: number;
                /** The selected value ID for the configured option. */
                readonly value_id?: number;
            }[];
            /** The (optional) RRP/retail price configured for this product */
            readonly retail_price?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
            /** The price for a product including estimates for tax */
            readonly sale_price?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
            /** The price for a product including estimates for tax */
            readonly minimum_advertised_price?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
            /** The price for a product including estimates for tax */
            readonly price?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
            /** The price for a product including estimates for tax */
            readonly calculated_price?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
            /** For estimated prices, the minimum/maximum price that will typically apply to this product */
            readonly price_range?: {
                /** The price for a product including estimates for tax */
                readonly minimum?: {
                    /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                    readonly as_entered?: number;
                    /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                    readonly entered_inclusive?: boolean;
                    /** The estimated tax exclusive price for this product based on the provided customer group */
                    readonly tax_exclusive?: number;
                    /** The estimated tax inclusive price for this product based on the provided customer group */
                    readonly tax_inclusive?: number;
                };
                /** The price for a product including estimates for tax */
                readonly maximum?: {
                    /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                    readonly as_entered?: number;
                    /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                    readonly entered_inclusive?: boolean;
                    /** The estimated tax exclusive price for this product based on the provided customer group */
                    readonly tax_exclusive?: number;
                    /** The estimated tax inclusive price for this product based on the provided customer group */
                    readonly tax_inclusive?: number;
                };
            };
            /** For estimated prices, the minimum/maximum price that will typically apply to this product */
            readonly retail_price_range?: {
                /** The price for a product including estimates for tax */
                readonly minimum?: {
                    /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                    readonly as_entered?: number;
                    /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                    readonly entered_inclusive?: boolean;
                    /** The estimated tax exclusive price for this product based on the provided customer group */
                    readonly tax_exclusive?: number;
                    /** The estimated tax inclusive price for this product based on the provided customer group */
                    readonly tax_inclusive?: number;
                };
                /** The price for a product including estimates for tax */
                readonly maximum?: {
                    /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                    readonly as_entered?: number;
                    /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                    readonly entered_inclusive?: boolean;
                    /** The estimated tax exclusive price for this product based on the provided customer group */
                    readonly tax_exclusive?: number;
                    /** The estimated tax inclusive price for this product based on the provided customer group */
                    readonly tax_inclusive?: number;
                };
            };
            readonly bulk_pricing?: readonly {
                /** The minumum quantity required to trigger this bulk pricing discount */
                readonly minimum?: number;
                /** The maximum quantity (or 0 for unlimited) to trigger this bulk pricing discount */
                readonly maximum?: number;
                readonly discount_amount?: number;
                readonly discount_type?: "price" | "percent" | "fixed";
            }[];
        }[];
        readonly meta?: {
            readonly [key: string]: any;
        };
    };
    /** For estimated prices, the minimum/maximum price that will typically apply to this product */
    readonly PriceRange: {
        /** The price for a product including estimates for tax */
        readonly minimum?: {
            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
            readonly as_entered?: number;
            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
            readonly entered_inclusive?: boolean;
            /** The estimated tax exclusive price for this product based on the provided customer group */
            readonly tax_exclusive?: number;
            /** The estimated tax inclusive price for this product based on the provided customer group */
            readonly tax_inclusive?: number;
        };
        /** The price for a product including estimates for tax */
        readonly maximum?: {
            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
            readonly as_entered?: number;
            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
            readonly entered_inclusive?: boolean;
            /** The estimated tax exclusive price for this product based on the provided customer group */
            readonly tax_exclusive?: number;
            /** The estimated tax inclusive price for this product based on the provided customer group */
            readonly tax_inclusive?: number;
        };
    };
    /** The price for a product including estimates for tax */
    readonly TaxPrice: {
        /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
        readonly as_entered?: number;
        /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
        readonly entered_inclusive?: boolean;
        /** The estimated tax exclusive price for this product based on the provided customer group */
        readonly tax_exclusive?: number;
        /** The estimated tax inclusive price for this product based on the provided customer group */
        readonly tax_inclusive?: number;
    };
    readonly ItemPricing: {
        /** The product ID this price was generated for */
        readonly product_id?: number;
        /** The (optional) variant ID this price was generated for */
        readonly variant_id?: number;
        /** The optional product option configuration this price was generated for */
        readonly options?: readonly {
            /** The ID of the variant option or modifier option configured for this price */
            readonly option_id?: number;
            /** The selected value ID for the configured option. */
            readonly value_id?: number;
        }[];
        /** The (optional) RRP/retail price configured for this product */
        readonly retail_price?: {
            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
            readonly as_entered?: number;
            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
            readonly entered_inclusive?: boolean;
            /** The estimated tax exclusive price for this product based on the provided customer group */
            readonly tax_exclusive?: number;
            /** The estimated tax inclusive price for this product based on the provided customer group */
            readonly tax_inclusive?: number;
        };
        /** The price for a product including estimates for tax */
        readonly sale_price?: {
            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
            readonly as_entered?: number;
            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
            readonly entered_inclusive?: boolean;
            /** The estimated tax exclusive price for this product based on the provided customer group */
            readonly tax_exclusive?: number;
            /** The estimated tax inclusive price for this product based on the provided customer group */
            readonly tax_inclusive?: number;
        };
        /** The price for a product including estimates for tax */
        readonly minimum_advertised_price?: {
            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
            readonly as_entered?: number;
            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
            readonly entered_inclusive?: boolean;
            /** The estimated tax exclusive price for this product based on the provided customer group */
            readonly tax_exclusive?: number;
            /** The estimated tax inclusive price for this product based on the provided customer group */
            readonly tax_inclusive?: number;
        };
        /** The price for a product including estimates for tax */
        readonly price?: {
            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
            readonly as_entered?: number;
            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
            readonly entered_inclusive?: boolean;
            /** The estimated tax exclusive price for this product based on the provided customer group */
            readonly tax_exclusive?: number;
            /** The estimated tax inclusive price for this product based on the provided customer group */
            readonly tax_inclusive?: number;
        };
        /** The price for a product including estimates for tax */
        readonly calculated_price?: {
            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
            readonly as_entered?: number;
            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
            readonly entered_inclusive?: boolean;
            /** The estimated tax exclusive price for this product based on the provided customer group */
            readonly tax_exclusive?: number;
            /** The estimated tax inclusive price for this product based on the provided customer group */
            readonly tax_inclusive?: number;
        };
        /** For estimated prices, the minimum/maximum price that will typically apply to this product */
        readonly price_range?: {
            /** The price for a product including estimates for tax */
            readonly minimum?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
            /** The price for a product including estimates for tax */
            readonly maximum?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
        };
        /** For estimated prices, the minimum/maximum price that will typically apply to this product */
        readonly retail_price_range?: {
            /** The price for a product including estimates for tax */
            readonly minimum?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
            /** The price for a product including estimates for tax */
            readonly maximum?: {
                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                readonly as_entered?: number;
                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                readonly entered_inclusive?: boolean;
                /** The estimated tax exclusive price for this product based on the provided customer group */
                readonly tax_exclusive?: number;
                /** The estimated tax inclusive price for this product based on the provided customer group */
                readonly tax_inclusive?: number;
            };
        };
        readonly bulk_pricing?: readonly definitions["BulkPricingTier"][];
    };
    /** Details/configuration for the product to request a price for. */
    readonly Item: {
        /** The (required) product ID of the item */
        readonly product_id?: number;
        /** The (optional) variant ID of the item */
        readonly variant_id?: number;
        /** The (optional) option configuration of the product. May be "partially" configured for estimates. */
        readonly options?: readonly {
            /** The ID of the variant option or modifier option being configured for this product */
            readonly option_id?: number;
            /** The ID of the value matching the option being configured. Note: must be ID, not the value. */
            readonly value_id?: number;
        }[];
    };
    readonly PricingRequest: {
        /** The channel context that pricing should be evaluated within. The default BC storefront is channel 1 */
        readonly channel_id?: number;
        /** The currency of prices to be returned for this request */
        readonly currency_code?: string;
        /** The customer group relevant for any customer group pricing, tax values, etc. */
        readonly customer_group_id?: number;
        /** The items to fetch prices for */
        readonly items?: readonly {
            /** The (required) product ID of the item */
            readonly product_id?: number;
            /** The (optional) variant ID of the item */
            readonly variant_id?: number;
            /** The (optional) option configuration of the product. May be "partially" configured for estimates. */
            readonly options?: readonly {
                /** The ID of the variant option or modifier option being configured for this product */
                readonly option_id?: number;
                /** The ID of the value matching the option being configured. Note: must be ID, not the value. */
                readonly value_id?: number;
            }[];
        }[];
    };
}
export interface operations {
    /** Calculate batch pricing for products for a specific channel, currency, and customer group. */
    readonly "get-prices": {
        readonly parameters: {
            readonly body: {
                readonly body: {
                    /** The channel context that pricing should be evaluated within. The default BC storefront is channel 1 */
                    readonly channel_id: number;
                    /** The currency of prices to be returned for this request */
                    readonly currency_code: string;
                    /** The customer group relevant for any customer group pricing, tax values, etc. */
                    readonly customer_group_id: number;
                    /** The items to fetch prices for */
                    readonly items: readonly {
                        /** The (required) product ID of the item */
                        readonly product_id?: number;
                        /** The (optional) variant ID of the item */
                        readonly variant_id?: number;
                        /** The (optional) option configuration of the product. May be "partially" configured for estimates. */
                        readonly options?: readonly {
                            /** The ID of the variant option or modifier option being configured for this product */
                            readonly option_id?: number;
                            /** The ID of the value matching the option being configured. Note: must be ID, not the value. */
                            readonly value_id?: number;
                        }[];
                    }[];
                };
            };
        };
        readonly responses: {
            /** OK */
            readonly 200: {
                readonly schema: {
                    readonly data?: readonly {
                        /** The product ID this price was generated for */
                        readonly product_id?: number;
                        /** The (optional) variant ID this price was generated for */
                        readonly variant_id?: number;
                        /** The optional product option configuration this price was generated for */
                        readonly options?: readonly {
                            /** The ID of the variant option or modifier option configured for this price */
                            readonly option_id?: number;
                            /** The selected value ID for the configured option. */
                            readonly value_id?: number;
                        }[];
                        /** The (optional) RRP/retail price configured for this product */
                        readonly retail_price?: {
                            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                            readonly as_entered?: number;
                            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                            readonly entered_inclusive?: boolean;
                            /** The estimated tax exclusive price for this product based on the provided customer group */
                            readonly tax_exclusive?: number;
                            /** The estimated tax inclusive price for this product based on the provided customer group */
                            readonly tax_inclusive?: number;
                        };
                        /** The price for a product including estimates for tax */
                        readonly sale_price?: {
                            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                            readonly as_entered?: number;
                            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                            readonly entered_inclusive?: boolean;
                            /** The estimated tax exclusive price for this product based on the provided customer group */
                            readonly tax_exclusive?: number;
                            /** The estimated tax inclusive price for this product based on the provided customer group */
                            readonly tax_inclusive?: number;
                        };
                        /** The price for a product including estimates for tax */
                        readonly minimum_advertised_price?: {
                            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                            readonly as_entered?: number;
                            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                            readonly entered_inclusive?: boolean;
                            /** The estimated tax exclusive price for this product based on the provided customer group */
                            readonly tax_exclusive?: number;
                            /** The estimated tax inclusive price for this product based on the provided customer group */
                            readonly tax_inclusive?: number;
                        };
                        /** The price for a product including estimates for tax */
                        readonly price?: {
                            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                            readonly as_entered?: number;
                            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                            readonly entered_inclusive?: boolean;
                            /** The estimated tax exclusive price for this product based on the provided customer group */
                            readonly tax_exclusive?: number;
                            /** The estimated tax inclusive price for this product based on the provided customer group */
                            readonly tax_inclusive?: number;
                        };
                        /** The price for a product including estimates for tax */
                        readonly calculated_price?: {
                            /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                            readonly as_entered?: number;
                            /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                            readonly entered_inclusive?: boolean;
                            /** The estimated tax exclusive price for this product based on the provided customer group */
                            readonly tax_exclusive?: number;
                            /** The estimated tax inclusive price for this product based on the provided customer group */
                            readonly tax_inclusive?: number;
                        };
                        /** For estimated prices, the minimum/maximum price that will typically apply to this product */
                        readonly price_range?: {
                            /** The price for a product including estimates for tax */
                            readonly minimum?: {
                                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                                readonly as_entered?: number;
                                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                                readonly entered_inclusive?: boolean;
                                /** The estimated tax exclusive price for this product based on the provided customer group */
                                readonly tax_exclusive?: number;
                                /** The estimated tax inclusive price for this product based on the provided customer group */
                                readonly tax_inclusive?: number;
                            };
                            /** The price for a product including estimates for tax */
                            readonly maximum?: {
                                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                                readonly as_entered?: number;
                                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                                readonly entered_inclusive?: boolean;
                                /** The estimated tax exclusive price for this product based on the provided customer group */
                                readonly tax_exclusive?: number;
                                /** The estimated tax inclusive price for this product based on the provided customer group */
                                readonly tax_inclusive?: number;
                            };
                        };
                        /** For estimated prices, the minimum/maximum price that will typically apply to this product */
                        readonly retail_price_range?: {
                            /** The price for a product including estimates for tax */
                            readonly minimum?: {
                                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                                readonly as_entered?: number;
                                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                                readonly entered_inclusive?: boolean;
                                /** The estimated tax exclusive price for this product based on the provided customer group */
                                readonly tax_exclusive?: number;
                                /** The estimated tax inclusive price for this product based on the provided customer group */
                                readonly tax_inclusive?: number;
                            };
                            /** The price for a product including estimates for tax */
                            readonly maximum?: {
                                /** The price provided by the merchant as entered in their catalog/price list (may be inc or ex) */
                                readonly as_entered?: number;
                                /** Whether the `as_entered` price is inclusive or exclusive of tax, based on the stores tax jurisdiction */
                                readonly entered_inclusive?: boolean;
                                /** The estimated tax exclusive price for this product based on the provided customer group */
                                readonly tax_exclusive?: number;
                                /** The estimated tax inclusive price for this product based on the provided customer group */
                                readonly tax_inclusive?: number;
                            };
                        };
                        readonly bulk_pricing?: readonly definitions["BulkPricingTier"][];
                    }[];
                    readonly meta?: {
                        readonly [key: string]: any;
                    };
                };
            };
        };
    };
}
