/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */
export interface paths {
    readonly "/store": {
        /** Returns metadata about a store. */
        readonly get: {
            readonly parameters: {
                readonly header: {
                    readonly Accept: string;
                    readonly "Content-Type": string;
                };
            };
            readonly responses: {
                readonly 200: {
                    readonly schema: definitions["StoreInformation"];
                };
            };
        };
    };
    readonly "/time": {
        /** Returns the system timestamp at the time of the request. The time resource is useful for validating API authentication details and testing client connections. */
        readonly get: {
            readonly parameters: {
                readonly header: {
                    readonly Accept: string;
                    readonly "Content-Type": string;
                };
            };
            readonly responses: {
                readonly 200: {
                    readonly schema: definitions["timeStamp_Full"];
                };
            };
        };
    };
}
export interface definitions {
    readonly StoreInformation: {
        /** Unique store identifier. */
        readonly id?: string;
        /** Primary domain name. */
        readonly domain?: string;
        /** Store’s current HTTPS URL. */
        readonly secure_url?: string;
        /** The secure hostname of the control panel. */
        readonly control_panel_base_url?: string;
        /** Store's name. */
        readonly name?: string;
        /** Primary contact’s first name (as defined during the store sign-up process). */
        readonly first_name?: string;
        /** Primary contact’s last name (as defined during the store sign-up process). */
        readonly last_name?: string;
        /** Display address. */
        readonly address?: string;
        /** Country where the store is located (as defined during the store sign-up process). */
        readonly country?: string;
        /** Display phone number. */
        readonly phone?: string;
        /** Email address of the store administrator/owner. */
        readonly admin_email?: string;
        /** Email address for orders and fulfillment. */
        readonly order_email?: string;
        readonly timezone?: definitions["Timezone"];
        /** Default language code. */
        readonly language?: string;
        /** Default currency code */
        readonly currency?: string;
        /** Default symbol for values in the currency. */
        readonly currency_symbol?: string;
        /** Default decimal separator for values in the currency. */
        readonly decimal_separator?: string;
        /** Default thousands separator for values in the currency. */
        readonly thousands_separator?: string;
        /** Default decimal places for values in the currency. */
        readonly decimal_places?: number;
        /** Default position of the currency symbol (left or right). */
        readonly currency_symbol_location?: string;
        /** Default weight units (metric or imperial). */
        readonly weight_units?: string;
        /** Default dimension units (metric or imperial). */
        readonly dimension_units?: string;
        /** The number of decimal places. */
        readonly dimension_decimal_places?: number;
        /** The symbol that separates the whole numbers from the decimal points. */
        readonly dimension_decimal_token?: string;
        /** The symbol used to denote thousands. */
        readonly "dimension_thousands_token:"?: string;
        /** Name of the BigCommerce plan to which this store is subscribed. */
        readonly plan_name?: string;
        /** Level of the BigCommerce plan to which this store is subscribed. */
        readonly plan_level?: string;
        /** Industry, or vertical category, in which the business operates. (As selected from drop-down list during the store sign-up process.) */
        readonly industry?: string;
        readonly logo?: {
            readonly url?: string;
        };
        /** A Boolean value that indicates whether or not prices are entered with tax. */
        readonly is_price_entered_with_tax?: boolean;
        readonly active_comparison_modules?: readonly {
            readonly [key: string]: any;
        }[];
        /**
         * + `stencil_enabled`: `true` (boolean)
         *     + `sitewidehttps_enabled`: `false` (boolean)
         *     + `facebook_catalog_id` (string)
         */
        readonly features?: {
            /** Indicates whether a store is using a Stencil theme. */
            readonly stencil_enabled?: boolean;
            /** Indicates if there is sitewide https. */
            readonly sitewidehttps_enabled?: string;
            /** Id of the facebook catalog. If there is none, it returns an empty string. */
            readonly facebook_catalog_id?: string;
            /** What type of checkout is enabled on the store. Possible values returned are optimized, single (one page), single_customizable (one page for developers), klarna. */
            readonly checkout_type?: string;
        };
    };
    readonly Timezone: {
        /** a string identifying the time zone, in the format: <Continent-name>/<City-name>. */
        readonly name?: string;
        /** a negative or positive number, identifying the offset from UTC/GMT, in seconds, during winter/standard time. */
        readonly raw_offset?: number;
        /** "-/+" offset from UTC/GMT, in seconds, during summer/daylight saving time. */
        readonly dst_offset?: number;
        /** a boolean indicating whether this time zone observes daylight saving time. */
        readonly dst_correction?: boolean;
        readonly date_format?: definitions["DateFormat"];
    };
    readonly DateFormat: {
        /** string that defines dates’ display format, in the pattern: M jS Y */
        readonly display?: string;
        /** string that defines the CSV export format for orders, customers, and products, in the pattern: M jS Y */
        readonly export?: string;
        /** string that defines dates’ extended-display format, in the pattern: M jS Y @ g:i A. */
        readonly extended_display?: string;
    };
    /** Store Time in Unix format. */
    readonly timeStamp_Full: {
        readonly time?: number;
    };
}
export interface operations {
}
